Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## proscene
Enum PScene.MouseAction

    java.lang.Object
      java.lang.Enum<PScene.MouseAction>
          proscene.PScene.MouseAction

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<PScene.MouseAction>

Enclosing class:
  PScene

    public static enum PScene.MouseAction

extends java.lang.Enum<PScene.MouseAction>

This enum defines mouse actions to be binded to the mouse.

Enum Constant Summary
`DRIVE`
`LOOK_AROUND`
`MOVE_BACKWARD`
`MOVE_FORWARD`
`NO_MOUSE_ACTION`
`ROLL`
`ROTATE`
`SCREEN_ROTATE`
`SCREEN_TRANSLATE`
`TRANSLATE`
`ZOOM`
`ZOOM_ON_REGION`

Method Summary
`static PScene.MouseAction` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static PScene.MouseAction[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NO_MOUSE_ACTION

    public static final PScene.MouseAction NO_MOUSE_ACTION

### ROTATE

    public static final PScene.MouseAction ROTATE

### ZOOM

    public static final PScene.MouseAction ZOOM

### TRANSLATE

    public static final PScene.MouseAction TRANSLATE

### MOVE_FORWARD

    public static final PScene.MouseAction MOVE_FORWARD

### LOOK_AROUND

    public static final PScene.MouseAction LOOK_AROUND

### MOVE_BACKWARD

    public static final PScene.MouseAction MOVE_BACKWARD

### SCREEN_ROTATE

    public static final PScene.MouseAction SCREEN_ROTATE

### ROLL

    public static final PScene.MouseAction ROLL

### DRIVE

    public static final PScene.MouseAction DRIVE

### SCREEN_TRANSLATE

    public static final PScene.MouseAction SCREEN_TRANSLATE

### ZOOM_ON_REGION

    public static final PScene.MouseAction ZOOM_ON_REGION

Method Detail

### values

    public static PScene.MouseAction[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (PScene.MouseAction c : PScene.MouseAction.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static PScene.MouseAction valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

processing library glgraphics by Andres Colubri. (c) 2008